Subject: Re: [PATCH] i2c: update for semaphore to mutex conversion of devices

From: Stephen Rothwell <[email-masked]>
Date: Tue, 9 Mar 2010 21:36:50 +1100

Hi Jean,

On Tue, 9 Mar 2010 09:25:08 +0100 Jean Delvare <[email-masked]> wrote:
>
> Thanks for the reminder Stephen. I was only waiting for device_lock()
> to become usable in mainline. Now that it happened, I will take the
> patch above in my i2c tree, and send it to Linus in my next batch.

Thanks.  The include of mutex.h is not actually needed yet as Greg didn't
send the semaphore to mutex change to Linus due to other issues.  The
device_lock/unlock part would be useful, though for when the change does
happen.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/